package de.intevation.flys.client.shared.model;

import java.util.List;
import java.util.ArrayList;

import java.io.Serializable;

public class DataCageNode implements Serializable
{
    protected String             name;
    protected List<DataCageNode> children;

    public DataCageNode() {
    }

    public DataCageNode(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addChild(DataCageNode child) {
        if (children == null) {
            children = new ArrayList<DataCageNode>();
        }
        children.add(child);
    }

    public List<DataCageNode> getChildren() {
        return children;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
